INTERFACE
SUBROUTINE CPMVVPS (LDVERCOR,KPROMA,KPROMVC,KSTART,KPROF,KFLEV,PDT,&
 & PVCASRSH, PFP,&
 & PRES, PFEVL, PFEVN,&
 & PEVEL, PSDVBC, PSDFI, PSPT1) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMVC
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
LOGICAL ,INTENT(IN) :: LDVERCOR
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PDT
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRSH(KPROMVC,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFP(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRES(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVN(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVEL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSDVBC(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSDFI(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT1(KPROMA)
END SUBROUTINE CPMVVPS
END INTERFACE
